%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Time-modules
%define modv   2006.0814


Summary:       Time manipulation modules
Name:          perl-%{modn}
Version:       %{modv}
Release:       3%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MU/MUIR/modules/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        David Muir Sharnoff <muir@idiom.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::Local)
BuildArch:     noarch


%description
Time-modules is a collection of time parsing/manipulation modules for Perl.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Jun 26 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2006.0814-3
- Initial build
